KRAKEN2-BUILD(1)

NAME
kraken2-build - assigning taxonomic labels to short DNA sequences

SYNOPSIS
kraken2-build [task option] [options]

DESCRIPTION

  Task options (exactly one must be selected):

--download-taxonomy
    Download NCBI taxonomic information

--download-library TYPE
    Download partial library (TYPE = one of "archaea", "bacteria", "plasmid", "viral", "human", "fungi", "plant", "protozoa", "nr", "nt", "env_nr", "env_nt", "UniVec", "UniVec_Core")

--special TYPE
    Download and build a special database (TYPE = one of "greengenes", "silva", "rdp")

--add-to-library FILE
    Add FILE to library

--build
    Create DB from library (requires taxonomy d/l'ed and at least one file in library)

--clean
    Remove unneeded files from a built database

--standard
    Download and build default database

--help
    Print this message

--version
    Print version information

OPTIONS

--db NAME
    Kraken 2 DB/library name (mandatory except for --help/--version)

--threads #
    Number of threads (def: 1)

--kmer-len NUM
    K-mer length in bp/aa (build task only; def: 35 nt, 15 aa)

--minimizer-len NUM
    Minimizer length in bp/aa (build task only; def: 31 nt, 15 aa)

--minimizer-spaces NUM
    Number of characters in minimizer that are ignored in comparisons (build task only; def: 6 nt, 0 aa)

--protein
    Build a protein database for translated search

--no-masking
    Used with --standard/--download-library/ --add-to-library to avoid masking low-complexity sequences prior to building; masking requires dustmasker or segmasker to be installed in PATH, which some users might not have.

--max-db-size NUM
    Maximum number of bytes for Kraken 2 hash table; if the estimator determines more would normally be needed, the reference library will be downsampled to fit. (Used with --build/--standard/--special)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.